/*
 *  Display.h - Darstellung der C64-Grafik,
 *              Handhabung des Emulatorfensters
 *
 *  Copyright (C) 1994-1996 by Christian Bauer
 */

#ifndef DISPLAY_H
#define DISPLAY_H

#include <exec/types.h>
#include <graphics/rastport.h>


// Exportierte Variablen
extern struct RastPort temp_rp;
extern struct RastPort *the_rast_port;


// Exportierte Funktionen
extern int OpenDisplay(int type, ULONG display_id, UWORD overscan, int width, int height);
extern void CloseDisplay(void);
extern void InitDisplayFrom6510(void);
extern void ExitDisplayFrom6510(void);
extern void RedrawDisplay(void);
extern void EmulToBack(void);
extern void EmulToFront(void);
extern void EventLoop(void);
extern int ShowRequester(int text, int gads, APTR args);
extern void LocalizeDisplay(void);

#endif
